// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#include "tag.h"

Tag::Tag(const char *new_name,const char *new_value)
{
  name=new_name;
  value=new_value;
}

Tag::Tag(char *name_and_value)
{
  /* At first just copy the whole string into a QString */
  QString *temp=new QString(name_and_value);

  /* Check if we have a "=" delimiter in the tag */
  int pos=temp->find('=');
  /* If not, treat this as a COMMENT-Tag */
  if(pos==-1) name="COMMENT";
  else
  {
    name=temp->left(pos);
    value=temp->mid(pos+1);
  }
}

Tag::~Tag()
{
}

QString& Tag::getName()
{
  return name;
}

QString& Tag::getValue()
{
  return value;
}

void Tag::setName(char *new_name)
{
  name=new_name;
}

void Tag::setValue(char *new_value)
{
  value=new_value;
}
